/*======================================*/
/*----------> BOOKING PANEL<----------*/
/*======================================*/
#booking_panel {
    display:            none;
    // display:         flex;       //When  Booking open
    min-width:          250px;
    height:             100%;
    position:           absolute;
    right:              0;
    bottom:             0;
    background-color:   $gray;
    color:              $bluefluo;
    border-top:         2px solid $darkred;
    border-bottom:      2px solid $darkred;
    flex-direction:     column ;
    justify-content:    space-around;
    align-items:        center;

    #btn_close_booking_panel { position : absolute; right: 0; }

    h2 {
        color:          lighten($darkred, 10%);
        text-align:     center;
        font-weight:    800;
        font-size:      1.15em;
    }

    #infosStation, #booking {
        width:      85%;
        font-size:  0.95em;
        position:   relative;
        bottom:     5px;

        p > span {
            color:          white !important;
            text-transform: lowercase;
        }
    }

    #infosStation {
        h2 { margin-bottom: 5px      !important; }
        p  { margin:        8px auto !important; }

        #station-status { text-align: center;   }
        hr              { margin: 0 !important; }

        .info_station {
            width: 100%;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            margin: 8px 0 !important;

            .info_station_value{ text-align: right; color: white !important; }
        }
    }

    #booking   {
        #booking-form {
            input            { color: black !important; }
            #group-email     { margin-bottom : 8px; }
            #form-group-name { display: flex; flex-direction: column;
                #label, #input-name {
                    display:        flex;
                    flex-direction: row;
                    flex-wrap:      nowrap;
                }
                #label            { margin-top: 8px !important; position: relative;
                    #label-prenom { position: absolute; right: 5px; }
                }
                .form-group {
                    input {
                        margin : 0 1px !important;
                        padding-left: 8px;

                        border-radius: 8px;
                            -webkit-border-radius: 8px;
                            -moz-border-radius: 8px;
                    }
                }
                #input-name { 
                    margin-top : 8px !important;
                    width: 100%;

                    #nom {
                        width:                      50%;
                        
                        border-bottom-left-radius:  8px;
                        border-top-left-radius:     8px;
                        padding-left:               8px !important;
                    }
                    #prenom {
                        width:                      50%;
                        
                        border-bottom-right-radius: 8px;
                        border-top-right-radius:    8px;
                        text-align:                 right;
                        padding-right:              8px !important;
                    }
                }
            }
            .form-group, input, label { width: 100%; }
            .form-group    { position: relative; top: 10px;
                #signature {
                    position: relative;

                    width:          100%;
                    height:         135px;
                    margin-top:     8px !important;
                    border:         3px solid rgb(224, 219, 219);
                    border-radius:  8px;

                    #canvas-sign {
                        position: absolute;
                        width:    99%;
                        height:   82%;
                    }
                
                    input#reset { position: relative; top: 83%; }
                    input:hover { background-color: $darkred; color : $bluefluo !important; }
                }
                #email {
                    margin:       8px 0 !important;
                    padding-left: 8px !important;
                    border-radius :             8px;
                        -webkit-border-radius : 8px;
                        -moz-border-radius :    8px;
                }
                button:nth-child(1) { position: absolute; left: 0;  }
                button:nth-child(2) { position: absolute; right: 0; }
            }
            #form-btn-container { display: flex; margin-top: 13px !important;
                input:hover     { background-color: $darkred; color : $bluefluo !important; }
            }
        }
    }
}